#
# spec file for package ipchains (Version 1.3.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bzip
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ipchains
Copyright:    1995,1996 by X;OS Experts in Open Systems BV
Group:        System Environment/Kernel
Url:          http://www.adelaide.net.au/~rustcorp/ipfwchains/ipfwchains.html
Autoreqprov:  on
Summary:      Firewall and IP-accounting administration
Version:      1.3.9
Release:      324
Source: ipchains-1.3.9.tar.gz
Source1: ipchains-scripts-1.1.2.tar.gz
Source2: ipchains-HOWTOs-1.0.7.tar.bz2
Patch: ipchains-1.3.9.dif

%description
Using this package you can configure and maintain
'firewalling' of the Linux kernel 2.2.
Documentation: man ipchains

Authors:
--------
    Paul Russel <Paul.Russell@rustcorp.com.au>
    Michael Neuling <mneuling@radlogic.com.au>

SuSE series: sec

%prep
%setup -n ipchains-1.3.9 -a 1 -a 2
%patch
# ---------------------------------------------------------------------------

%build
make
# ---------------------------------------------------------------------------

%install
make install
install -m 755 ipchains-scripts-1.1.2/ipchains-restore /sbin/ipchains-restore
install -m 755 ipchains-scripts-1.1.2/ipchains-save /sbin/ipchains-save
install -m 755 ipchains-scripts-1.1.2/ipfwadm-wrapper /sbin/ipfwadm-wrapper
install -m 644 ipchains-scripts-1.1.2/ipchains-restore.8 %{_mandir}/man8/ipchains-restore.8
install -m 644 ipchains-scripts-1.1.2/ipchains-save.8 %{_mandir}/man8/ipchains-save.8
install -m 644 ipchains-scripts-1.1.2/ipfwadm-wrapper.8 %{_mandir}/man8/ipfwadm-wrapper.8

%files
%doc COPYING
%doc README
%doc ipchains-quickref.ps
%doc ipchains-HOWTOs-1.0.7
%doc %{_mandir}/man4/ipfw.4.gz
%doc %{_mandir}/man8/ipchains.8.gz
%doc %{_mandir}/man8/ipchains-restore.8.gz
%doc %{_mandir}/man8/ipchains-save.8.gz
%doc %{_mandir}/man8/ipfwadm-wrapper.8.gz
/sbin/ipchains
/sbin/ipchains-restore
/sbin/ipchains-save
/sbin/ipfwadm-wrapper
%doc ipchains-scripts-1.1.2/README

%changelog -n ipchains
* Wed Mar 01 2000 - choeger@suse.de
- added mandir
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 21 1999 - choeger@suse.de
- added ipfw.4 and a link to ipfw.old
* Mon Jun 07 1999 - choeger@suse.de
- new version, 1.3.9
* Wed Mar 31 1999 - bs@suse.de
- don't use lx_hack for build
* Thu Dec 10 1998 - choeger@suse.de
- new version, 1.3.8 and ipchains-scripts
* Tue Sep 15 1998 - choeger@suse.de
- first version, 1.3.5
